Intermittent browser/components/preferences/in-content/tests/browser_subdialogs.js | should be 1 if accepted, 0 if canceled, undefined if closed w/out button - "undefined" == 1 -

NEW
Unassigned

Status

()

Firefox
Preferences
P5
normal
2 months ago
9 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

2 months ago
treeherder
Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=149272260&repo=mozilla-central

https://queue.taskcluster.net/v1/task/dmYsbt5RSIqRuGksHRwhGg/runs/0/artifacts/public/logs/live_backing.log

[task 2017-12-02T10:55:05.673Z] 10:55:05     INFO - TEST-START | browser/components/preferences/in-content/tests/browser_subdialogs.js
[task 2017-12-02T10:55:07.498Z] 10:55:07     INFO - TEST-INFO | started process screentopng
[task 2017-12-02T10:55:07.944Z] 10:55:07     INFO - TEST-INFO | screentopng: exit 0
[task 2017-12-02T10:55:07.945Z] 10:55:07     INFO - Buffered messages logged at 10:55:05
[task 2017-12-02T10:55:07.945Z] 10:55:07     INFO - Entering test bound test_initialize
[task 2017-12-02T10:55:07.946Z] 10:55:07     INFO - Buffered messages logged at 10:55:06
[task 2017-12-02T10:55:07.946Z] 10:55:07     INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 174}]
[task 2017-12-02T10:55:07.947Z] 10:55:07     INFO - Leaving test bound test_initialize
[task 2017-12-02T10:55:07.948Z] 10:55:07     INFO - Entering test bound check_titlebar_focus_returnval_titlechanges_accepting
[task 2017-12-02T10:55:07.950Z] 10:55:07     INFO - waiting for subdialog DOMFrameContentLoaded
[task 2017-12-02T10:55:07.950Z] 10:55:07     INFO - waiting for subdialog load
[task 2017-12-02T10:55:07.951Z] 10:55:07     INFO - subdialog window is loaded
[task 2017-12-02T10:55:07.952Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The dialog should be non-null - true == true - 
[task 2017-12-02T10:55:07.954Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Subdialog URL should not be about:blank - "chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/subdialog.xul" != "about:blank" - 
[task 2017-12-02T10:55:07.955Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Overlay should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:07.956Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | No stylesheets that were expected are missing - 0 == 0 - 
[task 2017-12-02T10:55:07.956Z] 10:55:07     INFO - Buffered messages logged at 10:55:07
[task 2017-12-02T10:55:07.957Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Title should be correct initially - "Sample sub-dialog" == "Sample sub-dialog" - 
[task 2017-12-02T10:55:07.959Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Textbox with correct text is focused - "Default text" == "Default text" - 
[task 2017-12-02T10:55:07.960Z] 10:55:07     INFO - waiting for DOMTitleChanged event
[task 2017-12-02T10:55:07.961Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | subdialog should have updated title - "Updated title" == "Updated title" - 
[task 2017-12-02T10:55:07.962Z] 10:55:07     INFO - waiting for dialogclosing
[task 2017-12-02T10:55:07.964Z] 10:55:07     INFO - waiting for about:blank load
[task 2017-12-02T10:55:07.965Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | overlay is not visible - "hidden" != "visible" - 
[task 2017-12-02T10:55:07.966Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | inline styles should be cleared - "" == "" - 
[task 2017-12-02T10:55:07.968Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | sub-dialog should be unloaded - "about:blank" == "about:blank" - 
[task 2017-12-02T10:55:07.969Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | closing event should indicate button was 'accept' - "accept" == "accept" - 
[task 2017-12-02T10:55:07.972Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | should be 1 if accepted, 0 if canceled, undefined if closed w/out button - 1 == 1 - 
[task 2017-12-02T10:55:07.972Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | dialog count should decrease by 1 - 0 == 0 - 
[task 2017-12-02T10:55:07.973Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | stack children count should decrease by 1 - 1 == 1 - 
[task 2017-12-02T10:55:07.975Z] 10:55:07     INFO - Leaving test bound check_titlebar_focus_returnval_titlechanges_accepting
[task 2017-12-02T10:55:07.976Z] 10:55:07     INFO - Entering test bound check_canceling_dialog
[task 2017-12-02T10:55:07.977Z] 10:55:07     INFO - waiting for subdialog DOMFrameContentLoaded
[task 2017-12-02T10:55:07.979Z] 10:55:07     INFO - waiting for subdialog load
[task 2017-12-02T10:55:07.980Z] 10:55:07     INFO - subdialog window is loaded
[task 2017-12-02T10:55:07.982Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The dialog should be non-null - true == true - 
[task 2017-12-02T10:55:07.983Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Subdialog URL should not be about:blank - "chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/subdialog.xul" != "about:blank" - 
[task 2017-12-02T10:55:07.984Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Overlay should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:07.986Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | No stylesheets that were expected are missing - 0 == 0 - 
[task 2017-12-02T10:55:07.987Z] 10:55:07     INFO - canceling the dialog
[task 2017-12-02T10:55:07.989Z] 10:55:07     INFO - waiting for dialogclosing
[task 2017-12-02T10:55:07.990Z] 10:55:07     INFO - waiting for about:blank load
[task 2017-12-02T10:55:07.991Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | overlay is not visible - "hidden" != "visible" - 
[task 2017-12-02T10:55:07.993Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | inline styles should be cleared - "" == "" - 
[task 2017-12-02T10:55:07.995Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | sub-dialog should be unloaded - "about:blank" == "about:blank" - 
[task 2017-12-02T10:55:07.996Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | closing event should indicate button was 'cancel' - "cancel" == "cancel" - 
[task 2017-12-02T10:55:07.997Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | should be 1 if accepted, 0 if canceled, undefined if closed w/out button - 0 == 0 - 
[task 2017-12-02T10:55:07.998Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | dialog count should decrease by 1 - 0 == 0 - 
[task 2017-12-02T10:55:07.999Z] 10:55:07     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | stack children count should decrease by 1 - 1 == 1 - 
[task 2017-12-02T10:55:08.001Z] 10:55:08     INFO - Leaving test bound check_canceling_dialog
[task 2017-12-02T10:55:08.002Z] 10:55:08     INFO - Entering test bound check_reopening_dialog
[task 2017-12-02T10:55:08.003Z] 10:55:08     INFO - waiting for subdialog DOMFrameContentLoaded
[task 2017-12-02T10:55:08.005Z] 10:55:08     INFO - waiting for subdialog load
[task 2017-12-02T10:55:08.006Z] 10:55:08     INFO - subdialog window is loaded
[task 2017-12-02T10:55:08.015Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The dialog should be non-null - true == true - 
[task 2017-12-02T10:55:08.016Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Subdialog URL should not be about:blank - "chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/subdialog.xul" != "about:blank" - 
[task 2017-12-02T10:55:08.016Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Overlay should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:08.017Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | No stylesheets that were expected are missing - 0 == 0 - 
[task 2017-12-02T10:55:08.018Z] 10:55:08     INFO - opening another dialog which will close the first
[task 2017-12-02T10:55:08.019Z] 10:55:08     INFO - waiting for subdialog DOMFrameContentLoaded
[task 2017-12-02T10:55:08.020Z] 10:55:08     INFO - waiting for subdialog load
[task 2017-12-02T10:55:08.021Z] 10:55:08     INFO - subdialog window is loaded
[task 2017-12-02T10:55:08.022Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The dialog should be non-null - true == true - 
[task 2017-12-02T10:55:08.022Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Subdialog URL should not be about:blank - "chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/subdialog2.xul" != "about:blank" - 
[task 2017-12-02T10:55:08.023Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | Overlay should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:08.024Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | No stylesheets that were expected are missing - 0 == 0 - 
[task 2017-12-02T10:55:08.025Z] 10:55:08     INFO - closing two dialogs
[task 2017-12-02T10:55:08.026Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | There should be two visible dialogs - 2 == 2 - 
[task 2017-12-02T10:55:08.037Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The top dialog should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:08.039Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The lower dialog should be visible - "visible" == "visible" - 
[task 2017-12-02T10:55:08.041Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The top dialog should have a semi-transparent overlay - "rgba(0, 0, 0, 0.5)" == "rgba(0, 0, 0, 0.5)" - 
[task 2017-12-02T10:55:08.042Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | The lower dialog should not have an overlay - "rgba(0, 0, 0, 0)" == "rgba(0, 0, 0, 0)" - 
[task 2017-12-02T10:55:08.043Z] 10:55:08     INFO - waiting for dialogclosing
[task 2017-12-02T10:55:08.044Z] 10:55:08     INFO - waiting for about:blank load
[task 2017-12-02T10:55:08.045Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | overlay is not visible - "hidden" != "visible" - 
[task 2017-12-02T10:55:08.046Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | inline styles should be cleared - "" == "" - 
[task 2017-12-02T10:55:08.047Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | sub-dialog should be unloaded - "about:blank" == "about:blank" - 
[task 2017-12-02T10:55:08.048Z] 10:55:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_subdialogs.js | closing event should indicate button was 'accept' - "accept" == "accept" - 
[task 2017-12-02T10:55:08.049Z] 10:55:08     INFO - Buffered messages finished
[task 2017-12-02T10:55:08.050Z] 10:55:08     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_subdialogs.js | should be 1 if accepted, 0 if canceled, undefined if closed w/out button - "undefined" == 1 - 
[task 2017-12-02T10:55:08.051Z] 10:55:08     INFO - Stack trace:
[task 2017-12-02T10:55:08.052Z] 10:55:08     INFO - resource://testing-common/content-task.js line 52 > eval:null:24

Comment 1

a month ago
1 failures in 792 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1422514&startday=2017-11-27&endday=2017-12-03&tree=all

Comment 2

a month ago
2 failures in 423 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows7-32: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1422514&startday=2017-12-11&endday=2017-12-17&tree=all

Comment 3

9 days ago
1 failures in 462 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1422514&startday=2018-01-01&endday=2018-01-07&tree=all
You need to log in before you can comment on or make changes to this bug.